Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.jobs.ee.mail
Class SendMailJob

    java.lang.Object
      org.quartz.jobs.ee.mail.SendMailJob

All Implemented Interfaces:
  Job

    public class SendMailJob

extends Object
implements Job

A Job which sends an e-mail with the configured content to the configured recipient. Arbitrary mail.smtp.xxx settings can be added to job data and they will be passed along the mail session

Author:
  James House

Nested Class Summary
`protected static class` | `SendMailJob.MailInfo`

Field Summary
`static String` | `PROP_CC_RECIPIENT` The e-mail address to cc the mail to.
`static String` | `PROP_CONTENT_TYPE` The message content type.
`static String` | `PROP_MESSAGE` The e-mail message body.
`static String` | `PROP_PASSWORD` Password for authenticated session.
`static String` | `PROP_RECIPIENT` The e-mail address to send the mail to.
`static String` | `PROP_REPLY_TO` The e-mail address the message should say to reply to.
`static String` | `PROP_SENDER` The e-mail address to claim the mail is from.
`static String` | `PROP_SMTP_HOST` The host name of the smtp server.
`static String` | `PROP_SUBJECT` The subject to place on the e-mail.
`static String` | `PROP_USERNAME` Username for authenticated session.

Constructor Summary
`SendMailJob()`

Method Summary
`protected SendMailJob.MailInfo` | `createMailInfo()`
`void` | `execute(JobExecutionContext context)` Called by the ``Scheduler`` when a ``Trigger`` fires that is associated with the `Job`.
`protected org.slf4j.Logger` | `getLog()`
`protected Session` | `getMailSession(SendMailJob.MailInfo mailInfo)`
`protected String` | `getOptionalParm(JobDataMap data, String property)`
`protected String` | `getRequiredParm(JobDataMap data, String property, String constantName)`
`protected SendMailJob.MailInfo` | `populateMailInfo(JobDataMap data, SendMailJob.MailInfo mailInfo)`
`protected MimeMessage` | `prepareMimeMessage(SendMailJob.MailInfo mailInfo)`
`protected void` | `setMimeMessageContent(MimeMessage mimeMessage, SendMailJob.MailInfo mailInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SMTP_HOST

    public static final String PROP_SMTP_HOST

  The host name of the smtp server. REQUIRED.

  See Also:
    Constant Field Values

### PROP_RECIPIENT

    public static final String PROP_RECIPIENT

  The e-mail address to send the mail to. REQUIRED.

  See Also:
    Constant Field Values

### PROP_CC_RECIPIENT

    public static final String PROP_CC_RECIPIENT

  The e-mail address to cc the mail to. Optional.

  See Also:
    Constant Field Values

### PROP_SENDER

    public static final String PROP_SENDER

  The e-mail address to claim the mail is from. REQUIRED.

  See Also:
    Constant Field Values

### PROP_REPLY_TO

    public static final String PROP_REPLY_TO

  The e-mail address the message should say to reply to. Optional.

  See Also:
    Constant Field Values

### PROP_SUBJECT

    public static final String PROP_SUBJECT

  The subject to place on the e-mail. REQUIRED.

  See Also:
    Constant Field Values

### PROP_MESSAGE

    public static final String PROP_MESSAGE

  The e-mail message body. REQUIRED.

  See Also:
    Constant Field Values

### PROP_CONTENT_TYPE

    public static final String PROP_CONTENT_TYPE

  The message content type. For example, "text/html". Optional.

  See Also:
    Constant Field Values

### PROP_USERNAME

    public static final String PROP_USERNAME

  Username for authenticated session. Password must also be set if username is used. Optional.

  See Also:
    Constant Field Values

### PROP_PASSWORD

    public static final String PROP_PASSWORD

  Password for authenticated session. Optional.

  See Also:
    Constant Field Values

Constructor Detail

### SendMailJob

    public SendMailJob()

Method Detail

### execute

    public void execute(JobExecutionContext context)
                 throws JobExecutionException

  Description copied from interface: `Job`

  Called by the ``Scheduler`` when a ``Trigger`` fires that is associated with the `Job`.

  The implementation may wish to set a `result` object on the `JobExecutionContext` before this method exits. The result itself is meaningless to Quartz, but may be informative to ``JobListener`s` or ``TriggerListener`s` that are watching the job's execution.

  Specified by:
    `execute` in interface `Job`
  Throws:
    `JobExecutionException` - if there is an exception while executing the job.
  See Also:
    `Job.execute(org.quartz.JobExecutionContext)`

### getLog

    protected org.slf4j.Logger getLog()

### prepareMimeMessage

    protected MimeMessage prepareMimeMessage(SendMailJob.MailInfo mailInfo)
                                      throws MessagingException

  Throws:
    `MessagingException`

### setMimeMessageContent

    protected void setMimeMessageContent(MimeMessage mimeMessage,
                                         SendMailJob.MailInfo mailInfo)
                                  throws MessagingException

  Throws:
    `MessagingException`

### getMailSession

    protected Session getMailSession(SendMailJob.MailInfo mailInfo)
                              throws MessagingException

  Throws:
    `MessagingException`

### createMailInfo

    protected SendMailJob.MailInfo createMailInfo()

### populateMailInfo

    protected SendMailJob.MailInfo populateMailInfo(JobDataMap data,
                                                    SendMailJob.MailInfo mailInfo)

### getRequiredParm

    protected String getRequiredParm(JobDataMap data,
                                     String property,
                                     String constantName)

### getOptionalParm

    protected String getOptionalParm(JobDataMap data,
                                     String property)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.